Subject: bug#19065: dd design bug

From: Assaf Gordon <[email-masked]>
Date: Tue, 23 Oct 2018 17:03:41 -0600

close 19065
stop

(triaging old bugs)

On 16/11/14 12:05 PM, Bob Proulx wrote:
> 
> bt wrote:
>> The following undocumented behavior of dd is (IMO) a design flaw.
> 
> If dd actually did this then that would be quite annoying.  And I
> could see anyone becoming very frustrated with it.  But the reason
> this is not documented in dd is that dd doesn't do this.
> 
[...]
> 
> What is in your partition table?  There are many different ways to
> browse the partition table.  I am not the most proficient with parted
> but parted is likely the most capable in the face of newer GPT
> formats.  I am perhaps not even likely to be able to interpret the
> answer but I think this information would be needed and if not me then
> perhaps another may be able to interpret it.
> 
>    parted /dev/sdb unit s print
> 

With no further follow-ups to Bob's explanation in 4 years,
I'm closing this bug.

-assaf